Bug 1126076 - [abrt] makepasswd: _makepasswd_password(): makepasswd killed by SIGSEGV
Summary: [abrt] makepasswd: _makepasswd_password(): makepasswd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: makepasswd
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Johan Swensson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:01469736b9ef18775d99a8918c1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 19:24 UTC by Rob Strong
Modified: 2014-08-27 01:36 UTC (History)
1 user (show)

Fixed In Version: makepasswd-0.5.3-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 01:29:20 UTC


Attachments (Terms of Use)
File: backtrace (6.09 KB, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: core_backtrace (997 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: dso_list (661 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: environ (3.29 KB, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: maps (3.51 KB, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: open_fds (138 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details
File: var_log_messages (340 bytes, text/plain)
2014-08-01 19:24 UTC, Rob Strong
no flags Details

Description Rob Strong 2014-08-01 19:24:21 UTC
Version-Release number of selected component:
makepasswd-0.5.3-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        makepasswd -m sha-512
crash_function: _makepasswd_password
executable:     /usr/bin/makepasswd
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 _makepasswd_password at makepasswd.c:604
 #1 _makepasswd_do at makepasswd.c:126
 #2 _makepasswd at makepasswd.c:109

Comment 1 Rob Strong 2014-08-01 19:24:22 UTC
Created attachment 923403 [details]
File: backtrace

Comment 2 Rob Strong 2014-08-01 19:24:22 UTC
Created attachment 923404 [details]
File: cgroup

Comment 3 Rob Strong 2014-08-01 19:24:23 UTC
Created attachment 923405 [details]
File: core_backtrace

Comment 4 Rob Strong 2014-08-01 19:24:23 UTC
Created attachment 923406 [details]
File: dso_list

Comment 5 Rob Strong 2014-08-01 19:24:24 UTC
Created attachment 923407 [details]
File: environ

Comment 6 Rob Strong 2014-08-01 19:24:24 UTC
Created attachment 923408 [details]
File: exploitable

Comment 7 Rob Strong 2014-08-01 19:24:25 UTC
Created attachment 923409 [details]
File: limits

Comment 8 Rob Strong 2014-08-01 19:24:25 UTC
Created attachment 923410 [details]
File: maps

Comment 9 Rob Strong 2014-08-01 19:24:26 UTC
Created attachment 923411 [details]
File: open_fds

Comment 10 Rob Strong 2014-08-01 19:24:26 UTC
Created attachment 923412 [details]
File: proc_pid_status

Comment 11 Rob Strong 2014-08-01 19:24:27 UTC
Created attachment 923413 [details]
File: var_log_messages

Comment 12 Johan Swensson 2014-08-02 20:51:58 UTC
This should of course not happen but please note that correct option to use for using a different algoritm is -e and not -m.

Usage: makepasswd [-ceilMmnpSs]
       makepasswd -E [-ceilMmnSs]
  -c	String of allowed characters (A-Za-z0-9`~!@#$%^&*()-_=+)
  -E	Enumerate all possible values
  -e	Encryption algorithm (none,base64,blowfish,des,md5,sha1,sha256,shmd5)
  -i	Number of iterations in encryption algorithm
  -l	Password length
  -M	Maximum password length
  -m	Minimum password length
  -n	Number of passwords to generate
  -p	Password to use
  -S	Do not seed ourselves
  -s	Salt to use

Comment 13 Fedora Update System 2014-08-18 19:15:01 UTC
makepasswd-0.5.3-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/makepasswd-0.5.3-6.fc20

Comment 14 Fedora Update System 2014-08-18 19:15:39 UTC
makepasswd-0.5.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/makepasswd-0.5.3-6.fc19

Comment 15 Fedora Update System 2014-08-19 07:04:21 UTC
Package makepasswd-0.5.3-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing makepasswd-0.5.3-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9529/makepasswd-0.5.3-6.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-08-27 01:29:20 UTC
makepasswd-0.5.3-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-08-27 01:36:46 UTC
makepasswd-0.5.3-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.